package system;

import jade.core.Agent;
import jade.core.behaviours.OneShotBehaviour;

/**
 * Główny agent - producent.
 * 
 * @author Mateusz Kaflowski <mkaflowski@gmail.com>
 */
public class ClientAgent extends Agent {

	@Override
	protected void setup() {
		super.setup();

		AgentManager.setAgent(this);

		// dodanie siebie do kolekcji agentów:
		addBehaviour(new OneShotBehaviour() {

			@Override
			public void action() {
				JadeManager.addAgentToCollection(myAgent);
			}
		});
	}

	@Override
	protected void takeDown() {
		super.takeDown();
	}

}
